# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'aid/version'

Gem::Specification.new do |spec|
  spec.name          = 'abtion-aid'
  spec.version       = Aid::VERSION
  spec.authors       = ['Abtion', 'David Balatero']
  spec.email         = ['mail@abtion.com']

  spec.summary       = 'Abtion\'s development workflow tools'
  spec.homepage      = 'https://github.com/abtion/aid'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.0.1'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop'

  spec.add_dependency 'http'
  spec.add_dependency 'slack-notifier'
  spec.add_dependency 'asana'
end
